Subject: [CCAMP] Question regarding RFC 7260

From: Naveen T <[email-masked]>
Date: Wed, 22 Feb 2017 13:50:07 +0000 (UTC)

Dear Authors, et al.,
RFC 7260 describes the procedures for OAM configuration and control via RSVP-TE. RFC 7467 further extends this to provide procedures to configure pro-active OAMs like BFD, FMS etc. 
I have a query regarding the usage of RSVP-TE to carry the OAM configurations from the MPLS-TP tunnel ingress to the tunnel egress.Considering that the MPLS-TP bi-directional LSP has been established statically and the requirement is to only signal the OAM entities, I have the following assumptions:   
   - An IGP path must be established between the MPLS-TP tunnel's ingress and egress LERs.
   - The MPLS-TP node_id of and LER/LSR, defined here, will also be configured as that LER's/LSR's loopback interface's address.
   - The IGP will ensure that each LER/LSR learns about all the LSRs/LERs along the MPLS-TP transport path.
   - RSVP-TE will use this IGP path to send/receive the PATH/RESV messages.

Are these assumptions correct?Or, should there be a GMPLS control-plane adjacency between LERs/LSRs along the MPLS-TP path with the TE links on these nodes acting as the MPLS-TP NNI interfaces?
Thanks and Regards,Naveen T

---

From: Fatai Zhang <[email-masked]>
Date: Thu, 23 Feb 2017 03:29:49 +0000

Hi Naveen,

Per RFC 7487,  I think there should be GMPLS control plane for OAM configuration purpose.

Thanks

Fatai

发件人: CCAMP [mailto:[email-masked]] 代表 Naveen T
发送时间: 2017年2月22日 21:50
收件人: [email-masked]; Mpls
主题: [CCAMP] Question regarding RFC 7260

Dear Authors, et al.,

RFC 7260<https://tools.ietf.org/html/rfc7260> describes the procedures for OAM configuration and control via RSVP-TE. RFC 7467<https://tools.ietf.org/html/rfc7487> further extends this to provide procedures to configure pro-active OAMs like BFD, FMS etc.

I have a query regarding the usage of RSVP-TE to carry the OAM configurations from the MPLS-TP tunnel ingress to the tunnel egress.
Considering that the MPLS-TP bi-directional LSP has been established statically and the requirement is to only signal the OAM entities, I have the following assumptions:
1.      An IGP path must be established between the MPLS-TP tunnel's ingress and egress LERs.
2.      The MPLS-TP node_id of and LER/LSR, defined here<https://tools.ietf.org/html/rfc6370#section-4>, will also be configured as that LER's/LSR's loopback interface's address.
3.      The IGP will ensure that each LER/LSR learns about all the LSRs/LERs along the MPLS-TP transport path.
4.      RSVP-TE will use this IGP path to send/receive the PATH/RESV messages.

Are these assumptions correct?
Or, should there be a GMPLS control-plane adjacency between LERs/LSRs along the MPLS-TP path with the TE links on these nodes acting as the MPLS-TP NNI interfaces?

Thanks and Regards,
Naveen T

---

From: "Adrian Farrel" <[email-masked]>
Date: Thu, 23 Feb 2017 10:39:39 -0000

Fatai is right, I think.
 
If you want to operate "static" MPLS LSPs without using a control plane, then it would (IMO) be peculiar to suddenly want to use a control plane to configure and manage OAM on that LSP.
 
Why would you not use the same static provisioning tools?
 
Of course, there is also RFC 7212 available to you.
 
Adrian

From: mpls [mailto:[email-masked]] On Behalf Of Fatai Zhang
Sent: 23 February 2017 03:30
To: Naveen T; [email-masked]; Mpls
Subject: [mpls] 答复: [CCAMP] Question regarding RFC 7260
 
Hi Naveen,

 

Thanks
 
Fatai

Dear Authors, et al.,
 
RFC 7260 <https://tools.ietf.org/html/rfc7260>  describes the procedures for OAM configuration and control via RSVP-TE. RFC 7467 <https://tools.ietf.org/html/rfc7487>  further extends this to provide procedures to configure pro-active OAMs like BFD, FMS etc. 
 
2.  The MPLS-TP node_id of and LER/LSR, defined here <https://tools.ietf.org/html/rfc6370#section-4> , will also be configured as that LER's/LSR's loopback interface's address.

Thanks and Regards,
Naveen T